clang 8.0.0

Public Member Functions | List of all members
clang::CXXFieldCollector Class Reference

CXXFieldCollector - Used to keep track of CXXFieldDecls during parsing of C++ classes. More...

`#include "clang/Sema/CXXFieldCollector.h"`

## Public Member Functions
void | StartClass ()
| StartClass - Called by Sema::ActOnStartCXXClassDef. More...
void | Add (FieldDecl *D)
| Add - Called by Sema::ActOnCXXMemberDeclarator. More...
size_t | getCurNumFields () const
| getCurNumField - The number of fields added to the currently parsed class. More...
FieldDecl ** | getCurFields ()
| getCurFields - Pointer to array of fields added to the currently parsed class. More...
void | FinishClass ()
| FinishClass - Called by Sema::ActOnFinishCXXClassDef. More...

## Detailed Description

CXXFieldCollector - Used to keep track of CXXFieldDecls during parsing of C++ classes.

Definition at line 26 of file CXXFieldCollector.h.

## Member Function Documentation

## ◆ Add()

void clang::CXXFieldCollector::Add | ( | FieldDecl * | D | ) |
| inline

Add - Called by Sema::ActOnCXXMemberDeclarator.

Definition at line 56 of file CXXFieldCollector.h.

## ◆ FinishClass()

void clang::CXXFieldCollector::FinishClass | ( |  | ) |
| inline

FinishClass - Called by Sema::ActOnFinishCXXClassDef.

Definition at line 72 of file CXXFieldCollector.h.

References getCurNumFields().

## ◆ getCurFields()

FieldDecl** clang::CXXFieldCollector::getCurFields | ( |  | ) |
| inline

getCurFields - Pointer to array of fields added to the currently parsed class.

Definition at line 69 of file CXXFieldCollector.h.

References getCurNumFields().

## ◆ getCurNumFields()

size_t clang::CXXFieldCollector::getCurNumFields | ( |  | ) | const
| inline

getCurNumField - The number of fields added to the currently parsed class.

Definition at line 62 of file CXXFieldCollector.h.

Referenced by FinishClass(), and getCurFields().

## ◆ StartClass()

void clang::CXXFieldCollector::StartClass | ( |  | ) |
| inline

StartClass - Called by Sema::ActOnStartCXXClassDef.

Definition at line 53 of file CXXFieldCollector.h.

The documentation for this class was generated from the following file:

- include/clang/Sema/CXXFieldCollector.h